### A free/open-source library for quantitative finance

Public Member Functions
HistoricalRatesAnalysis Class Reference

Historical rate analysis class More...

`#include <ql/models/marketmodels/historicalratesanalysis.hpp>`

List of all members.

## Public Member Functions

| HistoricalRatesAnalysis (const boost::shared_ptr< SequenceStatistics > &stats, const Date &startDate, const Date &endDate, const Period &step, const std::vector< boost::shared_ptr< InterestRateIndex > > &indexes)
const std::vector< Date > & | skippedDates () const
const std::vector< std::string > & | skippedDatesErrorMessage () const
const boost::shared_ptr < SequenceStatistics > & | stats () const

## Detailed Description

Historical rate analysis class